Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomCDATASection Class Reference

The QDomCDATASection class represents an XML CDATA section. More...

    #include <QDomCDATASection>

Inherits QDomText.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QDomCDATASection ()
- QDomCDATASection ( const QDomCDATASection & x )
- QDomNode::NodeType nodeType () const
- QDomCDATASection & operator= ( const QDomCDATASection & x )

- 3 public functions inherited from QDomText
- 10 public functions inherited from QDomCharacterData
- 59 public functions inherited from QDomNode

## Detailed Description

The QDomCDATASection class represents an XML CDATA section.

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup. The only delimiter that is recognized in a CDATA section is the "]]&gt;" string that terminates the CDATA section. CDATA sections cannot be nested. Their primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

Adjacent QDomCDATASection nodes are not merged by the QDomNode::normalize() function.

For further information about the Document Object Model see and . For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomCDATASection::QDomCDATASection ()

Constructs an empty CDATA section. To create a CDATA section with content, use the QDomDocument::createCDATASection() function.

### QDomCDATASection::QDomCDATASection ( const QDomCDATASection & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode::NodeType QDomCDATASection::nodeType () const

Returns `CDATASection`.

### QDomCDATASection & QDomCDATASection::operator= ( const QDomCDATASection & x )

Assigns x to this CDATA section.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().